Bug 100951 - IDE freezes at .editor.HTML.indent()
IDE freezes at .editor.HTML.indent()
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-13 12:12 UTC by Martin Schovanek
Modified: 2009-05-18 10:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Full thread dump (13.02 KB, text/plain)
2007-04-13 12:13 UTC, Martin Schovanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2007-04-13 12:12:23 UTC
[#070412-embedding_60 branch, jdk1.5.0]

to reproduce:
-------------
1) open Tools > Options dialog
2) choose Editor > Code Templates > HTML
3) add a new template
4) type in Expanded Text text-area:
|</ul>
5) press Enter

ERROR: IDE freezes with 100% CPU usage, see thread dump:
Comment 1 Martin Schovanek 2007-04-13 12:13:02 UTC
Created attachment 40881 [details]
Full thread dump
Comment 2 Martin Schovanek 2007-04-13 12:51:33 UTC
Reproducible in plain .html as well, create a new .html with only one line:
|</ul>
and press Enter.
Comment 3 Marek Fukala 2007-04-17 15:07:21 UTC
fixed

Checking in HTML.nbs;
/cvs/html/editor/src/org/netbeans/modules/html/editor/resources/HTML.nbs,v  <--
 HTML.nbs
new revision: 1.3; previous revision: 1.2
done
Comment 4 Jindrich Sedek 2007-11-08 15:37:57 UTC
verified.
NetBeans IDE 6.0 RC1 (Build 200711080000)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo